## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanLocator Class Reference

This class defines a base class for Locator derivations in Xalan. More...

`#include <XalanLocator.hpp>`

Inheritance diagram for XalanLocator

Collaboration diagram for XalanLocator:

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  Locator ParentType
- typedef int size_type

## Public Methods

- XalanLocator ()
- virtual ~XalanLocator ()
- virtual const XMLCh* getPublicId () const = 0
- virtual const XMLCh* getSystemId () const = 0
- virtual size_type getLineNumber () const = 0
- virtual size_type getColumnNumber () const = 0

## Static Public Methods

- size_type getLineNumber (const ParentType* theLocator)
- size_type getColumnNumber (const ParentType* theLocator)
- size_type getUnknownValue ()

## Detailed Description

This class defines a base class for Locator derivations in Xalan.

It was defined because Xerces made changes in their Locator class which caused turbulence.

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER Locator XalanLocator::ParentType

typedef int XalanLocator::size_type

## Constructor & Destructor Documentation

XalanLocator::XalanLocator ( | )`[]`

XalanLocator::~XalanLocator ( | )`[virtual]`

## Member Function Documentation

size_type XalanLocator::getColumnNumber ( | const ParentType * theLocator )`[static]`

virtual size_type XalanLocator::getColumnNumber ( | ) const`[pure virtual]`

Reimplemented in ElemTemplateElement::LocatorProxy.

size_type XalanLocator::getLineNumber ( | const ParentType * theLocator )`[static]`

virtual size_type XalanLocator::getLineNumber ( | ) const`[pure virtual]`

Reimplemented in ElemTemplateElement::LocatorProxy.

virtual const XMLCh* XalanLocator::getPublicId ( | ) const`[pure virtual]`

Reimplemented in ElemTemplateElement::LocatorProxy.

virtual const XMLCh* XalanLocator::getSystemId ( | ) const`[pure virtual]`

Reimplemented in ElemTemplateElement::LocatorProxy.

size_type XalanLocator::getUnknownValue ( | )`[static]`

The documentation for this class was generated from the following file:

- XalanLocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.